/{organizationId}/{mandateId}/finance/accounts/debtors/{debtorId}/paymentUpdate debtor payment
Updates payment-related fields of a specific debtor by its id
Required permissions:
mandate.read
debtor.edit
Path Parameters
organizationIdstringrequired mandateIdstringrequired debtorIdstringrequired Request Body required
Content-Type: application/json
paymentMethodTypestring | nullrequired Options:
sepaCreditTransfersepaDirectDebitcashonlineAuthentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounts/debtors/{debtorId}/payment' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"paymentMethodType": "sepaCreditTransfer",
"sepaDirectDebitMandate": {
"iban": "string",
"bic": "string",
"sepaMandateId": "string",
"sepaMandateSignatureDate": "string",
"accountHolderName": "string",
"accountHolderAddress": {
"country": "string",
"zip": "string",
"city": "string",
"addressLine": "string"
}
},
"onlinePayment": {
"providers": [
"stripe"
]
}
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
updatedReceiptsintegerrequired minimum: 0
maximum: 9007199254740991
Additional properties are not allowed.
Response
{
"updatedReceipts": 0,
"onlinePayment": {
"providers": [
"stripe"
],
"linkToken": "string",
"linkTokenExpiresAt": "string",
"paymentMethods": [
{
"paymentMethod": "000000000000000000000001",
"default": true
}
]
}
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}